package main

/*
	this parses the command line arguements
*/

var argv args

type args struct {
	Recursive bool `arg:"--recursive"  default:"false"   help:"clean every repo found in go/src or go.work"`
	Auto      bool `arg:"--auto"                         help:"don't approve via STDIN"`
}

func (args) Version() string {
	return "go-clean " + VERSION + "    Built on " + BUILDTIME
}

func (a args) Description() string {
	return `
go-clean will try to verify your go.* files are using the newest package versions

* Recreate go.* with 'go mod init' and 'go mod tidy'
* Check that the most recent master branch versions are used
* Try to trim go.sum of non-existent entries
`
}
